mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.Policy.IConstantMembershipCondition System.Security.Policy.IMembershipCondition System.Runtime.InteropServices.ComVisible(true)

Strong names are well suited to specifying code assemblies to which you give a rich set of powerful permissions. Since strong names are cryptographically verified, attackers cannot impersonate rightful assemblies and use their permissions.

Determines whether an assembly belongs to a code group by testing its strong name. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Strong names are well suited to specifying code assemblies to which you give a rich set of powerful permissions. Since strong names are cryptographically verified, attackers cannot impersonate rightful assemblies and use their permissions.

  The and parameters are optional. For example, you can create a that checks for and (but not ) by passing null into the parameter. If is an empty string (""), an is thrown.

  Initializes a new instance of the class with the strong name public key blob, name, and version number that determine membership.

  The strong name public key blob of the software publisher.
  The simple name section of the strong name.
  The version number of the strong name.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This membership condition tests only the evidence object.

  The membership condition is satisfied if the specified evidence contains a with the same (public key, name, and version) as specified by the .

  Determines whether the specified evidence satisfies the membership condition.

  true if the specified evidence satisfies the membership condition; otherwise, false.

  The against which to make the test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.IMembershipCondition To be added

  Creates an equivalent copy of the current .

  A new, identical copy of the current

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  For two classes to be equal, their name, version, and public key blob must match exactly.

  Determines whether the from the specified object is equivalent to the contained in the current .

  true if the from the specified object is equivalent to the contained in the current ; otherwise, false.

  The object to compare to the current .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Reconstructs a security object with a specified state from an XML encoding.

  The XML encoding to use to reconstruct the security object. The context, used to resolve references.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Returns the hash code for the current .

  The hash code for the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  If you attempt to set the property to an empty string (""), an is thrown.

  Gets or sets the simple name of the for which the membership condition tests.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.StrongNamePublicKeyBlob To be added.

  A blob is cryptographic information that uniquely specifies the public key of the software publisher.

  Blobs differ from certificates in that the blob only has information about the public key; the certificate also includes information that associates a name of the holder with the key, as well as information to verify the certificate.

  Gets or sets the of the for which the membership condition tests.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Creates and returns a string representation of the current .

  A representation of the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added

  Creates an XML encoding of the security object and its current state.

  An XML encoding of the security object, including any state information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement `` To be added

  Creates an XML encoding of the security object and its current state with the specified .

  An XML encoding of the security object, including any state information.

  The context, which is used to resolve references.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Version To be added. To be added.

  Gets or sets the of the for which the membership condition tests.